## org.eclipse.xsd.impl.type
Class XSDGMonthType

    java.lang.Object
      org.eclipse.xsd.impl.type.XSDAnySimpleType
          org.eclipse.xsd.impl.type.XSDGMonthType

    public class XSDGMonthType

extends XSDAnySimpleType

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.type.XSDAnySimpleType
`XSDAnySimpleType.ByteSequence, XSDAnySimpleType.HexSequence`

Constructor Summary
`XSDGMonthType()`

Method Summary
`int` `compareValues(java.lang.Object value1, java.lang.Object value2)`
`java.lang.Object` `getValue(java.lang.String normalizedLiteral)`

Methods inherited from class org.eclipse.xsd.impl.type.XSDAnySimpleType
`assess, getCanonicalLiteral`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDGMonthType

    public XSDGMonthType()

Method Detail

### getValue

    public java.lang.Object getValue(java.lang.String normalizedLiteral)

  Overrides:
    `getValue` in class `XSDAnySimpleType`

### compareValues

    public int compareValues(java.lang.Object value1,
                             java.lang.Object value2)

  Overrides:
    `compareValues` in class `XSDAnySimpleType`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.